Vult cash-in webhook
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Webhook-Signature: <x-webhook-signature>' \
--data '
{
"amount": 123,
"card_serial": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Webhook-Signature': '<x-webhook-signature>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 123, card_serial: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin"
payload = {
"amount": 123,
"card_serial": "<string>"
}
headers = {
"X-Webhook-Signature": "<x-webhook-signature>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"new_balance": 123,
"success": true,
"transaction_id": "<string>"
}{}{}{}Webhooks
Vult cash-in webhook
HMAC-protected webhook for Vult to credit subscriber wallets
POST
/
webhooks
/
vult
/
cashin
Vult cash-in webhook
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Webhook-Signature: <x-webhook-signature>' \
--data '
{
"amount": 123,
"card_serial": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Webhook-Signature': '<x-webhook-signature>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 123, card_serial: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin"
payload = {
"amount": 123,
"card_serial": "<string>"
}
headers = {
"X-Webhook-Signature": "<x-webhook-signature>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"new_balance": 123,
"success": true,
"transaction_id": "<string>"
}{}{}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
HMAC-SHA256 signature of request body
Body
application/json
Cash-in details
⌘I